=== debian/changelog ===
openvas-manager (6.0.9-2) unstable; urgency=high

  * Split override_dh_install target out into override_dh_install-indep 
    and override_dh_install-arch (Closes: #843161)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Sat, 05 Nov 2016 00:57:17 +0800

openvas-manager (6.0.9-1) unstable; urgency=medium

  * Import upstream version to Debian (Closes: #840081)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Sat, 08 Oct 2016 23:17:16 +0800

openvas-manager (6.0.8-0kali1) kali-experimental; urgency=medium

  * Import new upstream release
  * Update minimal required version of libopenvas

 -- Sophie Brun <sophie@freexian.com>  Wed, 22 Jun 2016 11:27:47 +0200

openvas-manager (6.0.5-0kali1) kali-dev; urgency=medium

  * Import new upstream release.

 -- Sophie Brun <sophie@freexian.com>  Fri, 11 Sep 2015 08:56:32 +0200

openvas-manager (6.0.1-0kali2) kali-dev; urgency=medium

  * Add a proper systemd service file.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 28 Jul 2015 16:57:37 +0200

openvas-manager (6.0.1-0kali1) kali; urgency=medium

  * Import new upstream release
  * openvas-manager.init: drop command line with --slisten and --sport as they
    don't exist anymore (it's managed by openvas-scanner)

 -- Sophie Brun <sophie@freexian.com>  Fri, 10 Apr 2015 16:04:11 +0200

openvas-manager (5.0.2-0kali3) kali-dev; urgency=medium

  * Rebuild in kali-dev for the libgcrypt20/gnutls28 transitions.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 21 Nov 2014 21:22:43 +0100

openvas-manager (5.0.2-0kali2) kali; urgency=medium

  * Add Replaces: libopenvas6 due to package taking over
    /usr/share/openvas/openvas-lsc-rpm-creator.sh
  * Don't start/stop/restart the service in maintainer scripts as they
    don't work well when the package is not configured yet.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 26 Aug 2014 10:31:22 +0200

openvas-manager (5.0.2-0kali1) kali; urgency=medium

  * New upstream release.
     - Add support for multiple "To" addresses in Alerts.
     - Added Chinese as allowed value for interface language.
     - Ensure timestamps are based on the UTC timezone in the synchronisation
       scripts.
     - Consistently check the return values in the synchronisation scripts.
     - Separate init for command options like --create-user into new function,
       otherwise these options affect active tasks.
     - Fix issues around report format deletion.
  * Add missing files debian/copyright and debian/source/format
  * Update debian/rules to use debhelper 9
  * Add build depend: flawfinder
  * Add "Default stop" 1 in .init
  * Add lintian-overrides

 -- Sophie Brun <sophie@freexian.com>  Wed, 30 Jul 2014 14:32:04 +0200

openvas-manager (4.0.4-0kali1) kali; urgency=low

  * New upstream release with security fixes:
    http://permalink.gmane.org/gmane.comp.security.full-disclosure/90938

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 18 Nov 2013 09:42:04 +0100

openvas-manager (4.0.0-0kali1) kali; urgency=low

  * New upstream release.
  * Enable dh_install --list-missing and disable verbose mode.
  * Update build dependencies and list of installed files.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 May 2013 11:50:33 +0200

openvas-manager (3.0.4-1kali0) kali; urgency=low

  [ Stephan Kleine ]
  * New upstream release.
    - Support for note lifetimes has been added.
    - A bug which caused an incorrect result count in the Asset Management view has
      been fixed.
    - Support for displaying the hostname and the note and override lifetimes has
      been added to the following report formats: HTML, LaTeX and TXT.

  [ Mati Aharoni ]
  * Version update

 -- Mati Aharoni <muts@kali.org>  Tue, 04 Dec 2012 13:49:38 -0500

openvas-manager (3.0+beta7-1) UNRELEASED; urgency=low

  * New upstream release.
    - The handling of timestamps in reports has been improved.
    - Report format signatures no longer contain user editable fields.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Thu, 24 Nov 2011 23:18:29 +0100

openvas-manager (3.0+beta6-1) UNRELEASED; urgency=low

  * New upstream release.
    - Support for listing NVTs addressing a certain CVE has been added.
    - A bug which cause the wrong threat level to be displayed for tasks with
      multiple reports under rare circumstances has been fixed.
    - Support for override lifetimes has been added.
    - Support for displaying the SCAP update timestamp has been added.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Thu, 17 Nov 2011 23:27:01 +0100

openvas-manager (3.0+beta5-1) UNRELEASED; urgency=low

  * New upstream release.
    - Support for asset management been added.
    - Support for using SCAP data directly has been added.
    - A support script for retrieving SCAP data has been added.
    - Support for prognostic scans has been added.
    - Support for large database files on 32-bit platforms has been improved.
    - Support for task observers has been added.
    - Support for individual time zones for users has been added.
    - A bug which caused the filter result count to be calculated incorrectly when
      searching for text phrases has been fixed.
    - Support for sorting results by CVSS score has been added.
    - Support for importing results sent through the XML escalator has been added.
    - The max_host and max_checks scan performance parameters have been moved from
      scan configs to tasks.
    - Support for delta reports has been added.
    - An issue which caused meta data for NVTs in the "Credentials" family to be not
      present in the database has been fixed.
    - A number of compiler warnings discovered by Stephan Kleine have been
      addressed.
    - A race condition which caused empty reports from the slave when running in
      master-slave mode under certain conditions has been fixed.
    - Scan start and end times are now set for imported reports.

 -- Stephan Kleine <bitshuffler@opensuse.org>  Sat, 12 Nov 2011 19:38:48 +0100

openvas-manager (3.0+beta2-1) UNRELEASED; urgency=low


