=== debian/control ===
Source: openvas-manager
Section: admin
Priority: optional
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Build-Depends: debhelper (>= 9.20151219), 
               dh-systemd, 
               cmake (>= 2.6),
               doxygen, 
               libopenvas-dev (>= 8.0.8),
               libsqlite3-dev, 
               pkg-config, 
               xmltoman, 
               flawfinder
Standards-Version: 3.9.8
Homepage: http://www.openvas.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-security/openvas-manager.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-security/openvas-manager.git

Package: openvas-manager-common
Section: net
Architecture: all
Recommends: openvas-manager
Depends: ${misc:Depends}
Multi-Arch: foreign
Suggests: python, gnupg, wget, xsltproc
Description: architecture independent files for openvas-manager
 The OpenVAS-Manager is a layer between OpenVAS-Scanner and various client
 applications such as OpenVAS-Client or Greenbone Security Assistant.  Among
 other features, it adds server-side storage of scan results and it makes it
 unnecessary for scan clients to keep connection until a scan finishes.
 .
 This package contains the common openvas-manager
 files shared by all architectures.

Package: openvas-manager
Section: net
Architecture: any
Depends: lsb-base (>= 3.0-6),
         doc-base,
         openvas-manager-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: openvas-administrator
Replaces: openvas-administrator, libopenvas6
Description: Manager Module of OpenVAS
 The OpenVAS-Manager is a layer between OpenVAS-Scanner and various client
 applications such as OpenVAS-Client or Greenbone Security Assistant.  Among
 other features, it adds server-side storage of scan results and it makes it
 unnecessary for scan clients to keep connection until a scan finishes.

Package: openvas
Architecture: any
Section: metapackages
Depends: openvas-manager (>= ${binary:Version}),
         openvas-scanner (>= 5.0),
         greenbone-security-assistant(>= 6.0),
         openvas-cli (>= 1.4),
         ${misc:Depends}
Recommends: sqlite3, xsltproc
Description: remote network security auditor - metapackage
 The Open Vulnerability Assessment System is a modular security auditing tool,
 used for testing remote systems for vulnerabilities that should be fixed.
 .
 It is made up of several parts: a manager i.e. the main server openvasmd.
 A scanner openvassd that execute vulnerability checking scripts. A cli and
 a web interface called Greenbone Security Assistant gsad.
