=== debian/watch ===
version=4
 http://wald.intevation.org/frs/?group_id=29 \
 .*/openvas-manager-(\d[\d.]*)\.tar\.gz$
